Name: cacti-teamspeak3
Version: 1.1.0
Release: 1%{?dist}
Group: Applications/Internet
Summary: Get Teamspeak3 server info for cacti 1.x
License: GPLv2+
Source: %{name}-%{version}.tar.gz
Requires: cacti >= 1.1.1
BuildArch: noarch

%description
Get Teamspeak3 server info for cacti 1.x

%prep
%setup -q

%install
%{__install} -d -m 0755 %{buildroot}/%{_datadir}/cacti
%{__install} -d -m 0755 %{buildroot}/%{_localstatedir}/lib/cacti
%{__cp} -a install/ resource/ %{buildroot}/%{_datadir}/cacti
%{__cp} -a scripts/ %{buildroot}/%{_localstatedir}/lib/cacti
%{__rm} %{name}.spec

%files
%doc README UPDATE *.png update*.sh
%{_datadir}/cacti/install/templates/*
%{_datadir}/cacti/resource/script_server/*
%{_localstatedir}/lib/cacti/scripts/*

%changelog
* Fri Jul 28 2017 Alex Woick <alex@wombaz.de> - 1.1.0-1
- added debug logging facility for ss_teamspeak.php
- changed data source type in the template from COUNTER to DERIVE to avoid
  spikes on server restart

* Wed Jun 22 2017 Alex Woick <alex@wombaz.de> - 1.0.6-2
- improved error handling in case of connection abort or ban
- increased stream timeout to 5 seconds

* Sun Apr 30 2017 Alex Woick <alex@wombaz.de> - 1.0.5-1
- adjusted time to retry in case of connection failure

* Fri Apr 28 2017 Alex Woick <alex@wombaz.de> - 1.0.4-1
- fixed error logging

* Sun Apr 16 2017 Alex Woick <alex@wombaz.de> - 1.0.3-1
- made query port configurable

* Tue Mar 21 2017 Alex Woick <alex@wombaz.de> - 1.0.2-2
- initial package
