#!/bin/sh

if [ -z "$1" ]; then
  echo "Change data source type from COUNTER to DERIVE. Required for updating from 1.0.x."
  echo ""
  echo "Usage:"
  echo "$0 <rra file>"
  echo ""
  exit
fi

rrdtool tune "$1" \
-d bytes_sent_file:DERIVE \
-d bytes_recv_file:DERIVE \
-d bytes_sent_speech:DERIVE \
-d bytes_recv_speech:DERIVE \
-d bytes_sent_keepaliv:DERIVE \
-d bytes_recv_keepaliv:DERIVE \
-d bytes_sent_control:DERIVE \
-d bytes_recv_control:DERIVE \
-a bytes_sent_file:U \
-a bytes_recv_file:U \
-a bytes_sent_speech:U \
-a bytes_recv_speech]:U \
-a bytes_sent_keepaliv:U \
-a bytes_recv_keepaliv:U \
-a bytes_sent_control:U \
-a bytes_recv_control:U
